Bug 35259 - automake doesn't handle backsplash right.
automake doesn't handle backsplash right.
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: automake (Show other bugs)
7.1
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-08 19:45 EDT by hjl
Modified: 2007-04-18 12:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-08-22 11:22:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix backsplash (1.66 KB, patch)
2001-04-08 19:46 EDT, hjl
no flags Details | Diff
A upated patch (2.81 KB, patch)
2001-07-17 11:21 EDT, hjl
no flags Details | Diff
A new patch (660 bytes, patch)
2001-07-17 11:22 EDT, hjl
no flags Details | Diff

  None (edit)
Description hjl 2001-04-08 19:45:35 EDT
automake doesn't handle backsplash right.  In binutils, do

# cd gas
# mv Makefile.in Makefile.in.saved
# automake --cygnus Makefile
# diff -u Makefile.in.saved Makefile.in
Comment 1 hjl 2001-04-08 19:46:18 EDT
Created attachment 14964 [details]
Fix backsplash
Comment 2 Jens Petersen 2001-07-17 04:07:08 EDT
Thank you for the report and patch.
The patch seems already to be included in cvs.
Comment 3 hjl 2001-07-17 11:21:53 EDT
Created attachment 23867 [details]
A upated patch
Comment 4 hjl 2001-07-17 11:22:42 EDT
Created attachment 23868 [details]
A new patch
Comment 5 hjl 2001-07-17 11:24:12 EDT
My first patch is wrong. I uploaded the updated one.
I also provided a new patch.
Comment 6 Jens Petersen 2001-08-22 08:45:31 EDT
How serious a problem is this?  I agree that automake in 1.4-p4 and 1.4-p5
converts backslash+newline to whitespace, giving ugly output, but it doesn't
actually do any harm, or does it?
Comment 7 hjl 2001-08-22 08:54:08 EDT
It is more than that. The generated Makefile.in
is wrong.
Comment 8 Jens Petersen 2001-08-22 09:07:46 EDT
Could you give an example of where it doesn't work please?
I rebuild gas ok with Makefile.in generated by automake-1.4-p5+(your subdir patch).
Comment 9 hjl 2001-08-22 11:22:07 EDT
I don't remember the details.  In any case, I am
using automake to generate Makefile.in and
check it into the binutils CVS. I'd like to use
the one close to other people use.
Comment 10 Jens Petersen 2001-08-24 07:40:39 EDT
Your second patch is in automake-1.4p5-2.
(For gas the output is almost the same as with 1.4 now.)

Note You need to log in before you can comment on or make changes to this bug.